Subject: Re: bug#61567: 30.0.50; Define display-time-time-and-date-indicator face

From: Protesilaos Stavrou <[email-masked]>
Date: Fri, 17 Feb 2023 13:33:12 +0200

> From: Robert Pluim <[email-masked]>
> Date: Fri, 17 Feb 2023 11:58:25 +0100

> [... 21 lines elided]
>
>     Protesilaos> Indeed, the name is awkard.  I also remember that use of "-face" is
>     Protesilaos> discouraged, but could not find the resource for it.
>
> I canʼt find anything in the elisp manual. But I do note that all the
> font-lock faces end in '-face'
>
>     Protesilaos> My initial idea was to use "display-time-face", which would also be
>     Protesilaos> symmetric with "display-time-mail-face".  Note though that the latter is
>     Protesilaos> defined as a 'defcustom', so I wasn't sure what the right approach is.
>
> `defface' defined faces are customizable, so I donʼt think it matters.

Okay.  Any thoughts on renaming the face to 'display-time-face'?  Maybe
some other name is better?

-- 
Protesilaos Stavrou
https://protesilaos.com